Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.data
Class MeasurementDataSourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hyperic.hq.common.SystemException
                      org.hyperic.hq.measurement.data.MeasurementDataSourceException

All Implemented Interfaces:
  Serializable

    public class MeasurementDataSourceException

extends org.hyperic.hq.common.SystemException

See Also:
  Serialized Form

Constructor Summary
`MeasurementDataSourceException()`
`MeasurementDataSourceException(String s)`
`MeasurementDataSourceException(String s, Throwable t)`
`MeasurementDataSourceException(Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasurementDataSourceException

    public MeasurementDataSourceException()

### MeasurementDataSourceException

    public MeasurementDataSourceException(Throwable t)

### MeasurementDataSourceException

    public MeasurementDataSourceException(String s)

### MeasurementDataSourceException

    public MeasurementDataSourceException(String s,
                                          Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.